import os
import sys

data = "data/out.gz"
tmp = "data/tmp"

out_utilization = "data/utilization.txt"
out_queue_size = "data/queue_size.txt"
out_rapid_send_rate = "data/rapid_send_rate.txt"
out_ct_send_rate = "data/ct_send_rate.txt"

queue_processor = "process/queue_size.py"

throughput_processor = "process/throughput.py"
capacity = "100000000"
granularity = "0.008"

if (len(sys.argv) > 1):
	granularity = sys.argv[1]

# Temporarily unzip the data file...
os.system(
	"gunzip -c " + data + " > " + tmp
)

# Router queue size.
os.system(
	"python " + queue_processor + 
	" < " + tmp +
	" > " + out_queue_size
)

# Bottleneck utilization.
os.system(
	"python " + throughput_processor + " " + capacity + " " + granularity + 
	" < " + tmp + 
	" > " + out_utilization
)

# Rapid send rate.
os.system(
	"grep ' 2.0 3.0 ' " + 
	" < " + tmp + 
	" | python " + throughput_processor + " " + capacity + " " + granularity + 
	" > " + out_rapid_send_rate
)

# Cross traffic send rate.
os.system(
	"grep ' 4.0 5.0 ' "
	" < " + tmp + 
	" | python " + throughput_processor + " " + capacity + " " + granularity + 
	" > " + out_ct_send_rate
)

# Remove the temporary unzipped data file.
os.system(
	"rm " + tmp
)
